BaseCr_pedido_prestamoFN<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_alfa_ext_01092014.xml */
/* Generado: 2014-09-07 19:34:55 */

/* Mantenimiento de los registros de la tabla cr_pedido_prestamo */
abstract class BaseCr_pedido_prestamoDP extends Cr_pedido_prestamoBV
{
    /* Constructor ( Establece los valores desde un objeto Cr_pedido_prestamoBN ) */
    public function __construct( Cr_pedido_prestamoBN $o_Cr_pedido_prestamoBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_Cr_pedido_prestamoBN ) )
        {
            $this->setByBN( $o_Cr_pedido_prestamoBN );
        }
    }

    /* Establece los valores desde un objeto Cr_pedido_prestamoBN */
    public function setByBN( Cr_pedido_prestamoBN $o_Cr_pedido_prestamoBN )
    {
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdpedido() ) )
        {
            $this->setIdpedido( $o_Cr_pedido_prestamoBN->getIdpedido() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdCliente() ) )
        {
            $this->setIdCliente( $o_Cr_pedido_prestamoBN->getIdCliente() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIidMercado() ) )
        {
            $this->setIidMercado( $o_Cr_pedido_prestamoBN->getIidMercado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdColaborador() ) )
        {
            $this->setIdColaborador( $o_Cr_pedido_prestamoBN->getIdColaborador() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaTransaccion() ) )
        {
            $this->setFechaTransaccion( $o_Cr_pedido_prestamoBN->getFechaTransaccion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaEntrega() ) )
        {
            $this->setFechaEntrega( $o_Cr_pedido_prestamoBN->getFechaEntrega() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getMonto() ) )
        {
            $this->setMonto( $o_Cr_pedido_prestamoBN->getMonto() );
        }
           if ( !is_null( $o_Cr_pedido_prestamoBN->getMontoFinal() ) )
        {
            $this->setMontoFinal( $o_Cr_pedido_prestamoBN->getMontoFinal() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getLimiteCredito() ) )
        {
            $this->setLimiteCredito( $o_Cr_pedido_prestamoBN->getLimiteCredito() );
        } 
        if ( !is_null( $o_Cr_pedido_prestamoBN->getIdPrestamo() ) )
        {
            $this->setIdPrestamo( $o_Cr_pedido_prestamoBN->getIdPrestamo() );
        }
         if ( !is_null( $o_Cr_pedido_prestamoBN->getTelefonoContacto() ) )
        {
            $this->setTelefonoContacto( $o_Cr_pedido_prestamoBN->getTelefonoContacto() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getInteresPorcentaje() ) )
        {
            $this->setInteresPorcentaje( $o_Cr_pedido_prestamoBN->getInteresPorcentaje() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getDuracion() ) )
        {
            $this->setDuracion( $o_Cr_pedido_prestamoBN->getDuracion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getPeridiocidadPago() ) )
        {
            $this->setPeridiocidadPago( $o_Cr_pedido_prestamoBN->getPeridiocidadPago() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getHoraAtencion() ) )
        {
            $this->setHoraAtencion( $o_Cr_pedido_prestamoBN->getHoraAtencion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_Cr_pedido_prestamoBN->getFechaCreacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_Cr_pedido_prestamoBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_Cr_pedido_prestamoBN->getFechaModificacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_Cr_pedido_prestamoBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getEliminado() ) )
        {
            $this->setEliminado( $o_Cr_pedido_prestamoBN->getEliminado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getUsuarioEliminado() ) )
        {
            $this->setUsuarioEliminado( $o_Cr_pedido_prestamoBN->getUsuarioEliminado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getFechaEliminado() ) )
        {
            $this->setFechaEliminado( $o_Cr_pedido_prestamoBN->getFechaEliminado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getEstado() ) )
        {
            $this->setEstado( $o_Cr_pedido_prestamoBN->getEstado() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getObservacion() ) )
        {
            $this->setObservacion( $o_Cr_pedido_prestamoBN->getObservacion() );
        }
        if ( !is_null( $o_Cr_pedido_prestamoBN->getObservacionFinal() ) )
        {
            $this->setObservacionFinal( $o_Cr_pedido_prestamoBN->getObservacionFinal() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_cr_pedido_prestamoFN = new Cr_pedido_prestamoFN();
        $o_cr_pedido_prestamoBN = $o_cr_pedido_prestamoFN->selectByPk( $this->getIdpedido() );
        if ( is_null( $o_cr_pedido_prestamoBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO cr_pedido_prestamo ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdpedido() ) )
            {
                $s_SQLQuery1 .= $s_Separator."idpedido";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdpedido()."";
                $s_Separator = ", ";
            } 
            if ( !is_null( $this->getTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."tipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCliente";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCliente()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIidMercado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IidMercado";
                $s_SQLQuery2 .= $s_Separator."".$this->getIidMercado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPrestamoReferencia() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdPrestamoReferencia";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdPrestamoReferencia()."";
                $s_Separator = ", ";
            }
            
            if ( !is_null( $this->getSaldoAnterior() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SaldoAnterior";
                $s_SQLQuery2 .= $s_Separator."".$this->getSaldoAnterior()."";
                $s_Separator = ", ";
            }
            
            if ( !is_null( $this->getMontoExtra() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoExtra";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoExtra()."";
                $s_Separator = ", ";
            }
            
            if ( !is_null( $this->getIdColaborador() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdColaborador";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdColaborador()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaTransaccion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaTransaccion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaTransaccion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEntrega() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaEntrega";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaEntrega()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Monto";
                $s_SQLQuery2 .= $s_Separator."".$this->getMonto()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getMontoFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoFinal";
                $s_SQLQuery2 .= $s_Separator."".$this->getMonto()."";
                $s_Separator = ", ";
            } 
             if ( !is_null( $this->getMora() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Mora";
                $s_SQLQuery2 .= $s_Separator."".$this->getMora()."";
                $s_Separator = ", ";
            } 
            if ( !is_null( $this->getTelefonoContacto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TelefonoContacto";
                $s_SQLQuery2 .= $s_Separator."".$this->getTelefonoContacto()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getIdPrestamo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdPrestamo";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdPrestamo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getLimiteCredito() ) )
            {
                $s_SQLQuery1 .= $s_Separator."LimiteCredito";
                $s_SQLQuery2 .= $s_Separator."".$this->getLimiteCredito()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInteresPorcentaje() ) )
            {
                $s_SQLQuery1 .= $s_Separator."InteresPorcentaje";
                $s_SQLQuery2 .= $s_Separator."".$this->getInteresPorcentaje()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuracion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Duracion";
                $s_SQLQuery2 .= $s_Separator."".$this->getDuracion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuracionFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DuracionFinal";
                $s_SQLQuery2 .= $s_Separator."".$this->getDuracionFinal()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getGastoAdministrativo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."GastoAdministrativo";
                $s_SQLQuery2 .= $s_Separator."".$this->getGastoAdministrativo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getGastoAdministrativoFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."GastoAdministrativoFinal";
                $s_SQLQuery2 .= $s_Separator."".$this->getGastoAdministrativoFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInteresPorcentajeFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."InteresPorcentajeFinal";
                $s_SQLQuery2 .= $s_Separator."".$this->getGastoAdministrativoFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeridiocidadPago() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PeridiocidadPago";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPeridiocidadPago()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeridiocidadPagoFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PeridiocidadPagoFinal";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPeridiocidadPagoFinal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getHoraAtencion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."HoraAtencion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getHoraAtencion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEliminado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Eliminado";
                $s_SQLQuery2 .= $s_Separator."".$this->getEliminado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioEliminado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioEliminado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEliminado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaEliminado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getObservacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Observacion";
                $s_SQLQuery2 .= $s_Separator."'".addslashes($this->getObservacion())."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getObservacionFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ObservacionFinal";
                $s_SQLQuery2 .= $s_Separator."'".addslashes($this->getObservacionFinal())."'";
                $s_Separator = ", ";
            } 
            if ( !is_null( $this->getRegistroLongitud() ) )
            {
                $s_SQLQuery1 .= $s_Separator."RegistroLongitud";
                $s_SQLQuery2 .= $s_Separator."'".$this->getRegistroLongitud()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getRegistroLatitud() ) )
            {
                $s_SQLQuery1 .= $s_Separator."RegistroLatitud";
                $s_SQLQuery2 .= $s_Separator."'".$this->getRegistroLatitud()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            $o_Resource = $o_cr_pedido_prestamoFN->getConnect();
            $o_Result = mysql_query( $s_SQLQuery, $o_Resource );
            if ( $o_Result === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        $o_cr_pedido_prestamoFN = new Cr_pedido_prestamoFN();
        $o_cr_pedido_prestamoFN->i_reconectar = $this->i_reconectar;
        $o_cr_pedido_prestamoBN = $o_cr_pedido_prestamoFN->selectByPk( $this->getIdpedido() );
        
        if ( !is_null( $o_cr_pedido_prestamoBN ) )
        {
            $s_SQLQuery = "UPDATE cr_pedido_prestamo SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdCliente() ) && $this->getIdCliente() !== $o_cr_pedido_prestamoBN->getIdCliente() )
            {
                $s_SQLQuery .= $s_Separator."IdCliente = ".$this->getIdCliente()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIidMercado() ) && $this->getIidMercado() !== $o_cr_pedido_prestamoBN->getIidMercado() )
            {
                $s_SQLQuery .= $s_Separator."IidMercado = ".$this->getIidMercado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdColaborador() ) && $this->getIdColaborador() !== $o_cr_pedido_prestamoBN->getIdColaborador() )
            {
                $s_SQLQuery .= $s_Separator."IdColaborador = ".$this->getIdColaborador()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaTransaccion() ) && $this->getFechaTransaccion() !== $o_cr_pedido_prestamoBN->getFechaTransaccion() )
            {
                $s_SQLQuery .= $s_Separator."FechaTransaccion = '".$this->getFechaTransaccion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEntrega() ) && $this->getFechaEntrega() !== $o_cr_pedido_prestamoBN->getFechaEntrega() )
            {
                $s_SQLQuery .= $s_Separator."FechaEntrega = '".$this->getFechaEntrega()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonto() ) && $this->getMonto() !== $o_cr_pedido_prestamoBN->getMonto() )
            {
                $s_SQLQuery .= $s_Separator."Monto = ".$this->getMonto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoFinal() ) && $this->getMontoFinal() !== $o_cr_pedido_prestamoBN->getMontoFinal() )
            {
                $s_SQLQuery .= $s_Separator."MontoFinal = ".$this->getMontoFinal()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getMora() ) && $this->getMora() !== $o_cr_pedido_prestamoBN->getMora() )
            {
                $s_SQLQuery .= $s_Separator."Mora = ".$this->getMora()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMoraFinal() ) && $this->getMoraFinal() !== $o_cr_pedido_prestamoBN->getMoraFinal() )
            {
                $s_SQLQuery .= $s_Separator."MoraFinal = ".$this->getMoraFinal()."";
                $s_Separator = ", ";
            }
              if ( !is_null( $this->getMontoExtraFinal() ) && $this->getMontoExtraFinal() !== $o_cr_pedido_prestamoBN->getMontoExtraFinal() )
            {
                $s_SQLQuery .= $s_Separator."MontoExtraFinal = ".$this->getMontoExtraFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getLimiteCredito() ) && $this->getLimiteCredito() !== $o_cr_pedido_prestamoBN->getLimiteCredito() )
            {
                $s_SQLQuery .= $s_Separator."LimiteCredito = ".$this->getLimiteCredito()."";
                $s_Separator = ", ";
            }
              if ( !is_null( $this->getGastoAdministrativo() ) && $this->getGastoAdministrativo() !== $o_cr_pedido_prestamoBN->getGastoAdministrativo() )
            {
                $s_SQLQuery .= $s_Separator."GastoAdministrativo = ".$this->getGastoAdministrativo()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getGastoAdministrativoFinal() ) && $this->getGastoAdministrativoFinal() !== $o_cr_pedido_prestamoBN->getGastoAdministrativoFinal() )
            {
                $s_SQLQuery .= $s_Separator."GastoAdministrativoFinal = ".$this->getGastoAdministrativoFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPrestamo() ) && $this->getIdPrestamo() !== $o_cr_pedido_prestamoBN->getIdPrestamo() )
            {
                $s_SQLQuery .= $s_Separator."IdPrestamo = ".$this->getIdPrestamo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdPrestamoReferencia() ) && $this->getIdPrestamoReferencia() !== $o_cr_pedido_prestamoBN->getIdPrestamoReferencia() )
            {
                $s_SQLQuery .= $s_Separator."IdPrestamoReferencia = ".$this->getIdPrestamoReferencia()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getTelefonoContacto() ) && $this->getTelefonoContacto() !== $o_cr_pedido_prestamoBN->getTelefonoContacto() )
            {
                $s_SQLQuery .= $s_Separator."TelefonoContacto = ".$this->getTelefonoContacto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInteresPorcentaje() ) && $this->getInteresPorcentaje() !== $o_cr_pedido_prestamoBN->getInteresPorcentaje() )
            {
                $s_SQLQuery .= $s_Separator."InteresPorcentaje = ".$this->getInteresPorcentaje()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInteresPorcentajeFinal() ) && $this->getInteresPorcentajeFinal() !== $o_cr_pedido_prestamoBN->getInteresPorcentajeFinal() )
            {
                $s_SQLQuery .= $s_Separator."InteresPorcentajeFinal = ".$this->getInteresPorcentajeFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuracion() ) && $this->getDuracion() !== $o_cr_pedido_prestamoBN->getDuracion() )
            {
                $s_SQLQuery .= $s_Separator."Duracion = ".$this->getDuracion()."";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getDuracionFinal() ) && $this->getDuracionFinal() !== $o_cr_pedido_prestamoBN->getDuracionFinal() )
            {
                $s_SQLQuery .= $s_Separator."DuracionFinal = ".$this->getDuracionFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeridiocidadPago() ) && $this->getPeridiocidadPago() !== $o_cr_pedido_prestamoBN->getPeridiocidadPago() )
            {
                $s_SQLQuery .= $s_Separator."PeridiocidadPago = '".$this->getPeridiocidadPago()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeridiocidadPagoFinal() ) && $this->getPeridiocidadPagoFinal() !== $o_cr_pedido_prestamoBN->getPeridiocidadPagoFinal() )
            {
                $s_SQLQuery .= $s_Separator."PeridiocidadPagoFinal = '".$this->getPeridiocidadPagoFinal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getHoraAtencion() ) && $this->getHoraAtencion() !== $o_cr_pedido_prestamoBN->getHoraAtencion() )
            {
                $s_SQLQuery .= $s_Separator."HoraAtencion = '".$this->getHoraAtencion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) && $this->getFechaCreacion() !== $o_cr_pedido_prestamoBN->getFechaCreacion() )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) && $this->getUsuarioCreacion() !== $o_cr_pedido_prestamoBN->getUsuarioCreacion() )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) && $this->getFechaModificacion() !== $o_cr_pedido_prestamoBN->getFechaModificacion() )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) && $this->getUsuarioModificacion() !== $o_cr_pedido_prestamoBN->getUsuarioModificacion() )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEliminado() ) && $this->getEliminado() !== $o_cr_pedido_prestamoBN->getEliminado() )
            {
                $s_SQLQuery .= $s_Separator."Eliminado = ".$this->getEliminado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioEliminado() ) && $this->getUsuarioEliminado() !== $o_cr_pedido_prestamoBN->getUsuarioEliminado() )
            {
                $s_SQLQuery .= $s_Separator."UsuarioEliminado = '".$this->getUsuarioEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEliminado() ) && $this->getFechaEliminado() !== $o_cr_pedido_prestamoBN->getFechaEliminado() )
            {
                $s_SQLQuery .= $s_Separator."FechaEliminado = '".$this->getFechaEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) && $this->getEstado() !== $o_cr_pedido_prestamoBN->getEstado() )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getObservacion() ) && $this->getObservacion() !== $o_cr_pedido_prestamoBN->getObservacion() )
            {
                $s_SQLQuery .= $s_Separator."Observacion = '".$this->getObservacion()."'";
                $s_Separator = ", ";
            }
             if ( !is_null( $this->getObservacionFinal() ) && $this->getObservacionFinal() !== $o_cr_pedido_prestamoBN->getObservacionFinal() )
            {
                $s_SQLQuery .= $s_Separator."ObservacionFinal = '".$this->getObservacionFinal()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  idpedido = ".$this->getIdpedido().";";
            
            $o_Resource = $o_cr_pedido_prestamoFN->getConnect();
            if ( mysql_query( $s_SQLQuery, $o_Resource ) === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $o_cr_pedido_prestamoFN = new Cr_pedido_prestamoFN();
        $o_cr_pedido_prestamoBN = $o_cr_pedido_prestamoFN->selectByPk( $this->getIdpedido() );
        if ( !is_null( $o_cr_pedido_prestamoBN ) )
        {
            $s_SQLQuery = "DELETE FROM cr_pedido_prestamo WHERE  idpedido = ".$this->getIdpedido().";";
            $o_Resource = $o_cr_pedido_prestamoFN->getConnect();
            if ( mysql_query( $s_SQLQuery, $o_Resource ) === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Selecciona un registro por la llave primaria */
    public static function selectByPk( $i_Idpedido )
    {
        $o_cr_pedido_prestamoFN = new Cr_pedido_prestamoFN();
        if ( $o_cr_pedido_prestamoBN = $o_cr_pedido_prestamoFN->selectByPK( $i_Idpedido ) )
        {
            $o_cr_pedido_prestamoDP = new cr_pedido_prestamoDP();
            $o_cr_pedido_prestamoDP->setIdpedido( $o_cr_pedido_prestamoBN->getIdpedido(), false );
            $o_cr_pedido_prestamoDP->setIdCliente( $o_cr_pedido_prestamoBN->getIdCliente(), false );
            $o_cr_pedido_prestamoDP->setIidMercado( $o_cr_pedido_prestamoBN->getIidMercado(), false );
            $o_cr_pedido_prestamoDP->setIdColaborador( $o_cr_pedido_prestamoBN->getIdColaborador(), false );
            $o_cr_pedido_prestamoDP->setFechaTransaccion( $o_cr_pedido_prestamoBN->getFechaTransaccion(), false );
            $o_cr_pedido_prestamoDP->setFechaEntrega( $o_cr_pedido_prestamoBN->getFechaEntrega(), false );
            $o_cr_pedido_prestamoDP->setMonto( $o_cr_pedido_prestamoBN->getMonto(), false );
            $o_cr_pedido_prestamoDP->setMora( $o_cr_pedido_prestamoBN->getMora(), false );
            $o_cr_pedido_prestamoDP->setMoraFinal( $o_cr_pedido_prestamoBN->getMoraFinal(), false );
            $o_cr_pedido_prestamoDP->setLimiteCredito( $o_cr_pedido_prestamoBN->getLimiteCredito(), false );
            $o_cr_pedido_prestamoDP->setTelefonoContacto( $o_cr_pedido_prestamoBN->getTelefonoContacto(), false );
            $o_cr_pedido_prestamoDP->setIdPrestamo( $o_cr_pedido_prestamoBN->getIdPrestamo(), false );
            $o_cr_pedido_prestamoDP->setInteresPorcentaje( $o_cr_pedido_prestamoBN->getInteresPorcentaje(), false );
            $o_cr_pedido_prestamoDP->setDuracion( $o_cr_pedido_prestamoBN->getDuracion(), false );
            $o_cr_pedido_prestamoDP->setPeridiocidadPago( $o_cr_pedido_prestamoBN->getPeridiocidadPago(), false );
            $o_cr_pedido_prestamoDP->setHoraAtencion( $o_cr_pedido_prestamoBN->getHoraAtencion(), false );
            $o_cr_pedido_prestamoDP->setFechaCreacion( $o_cr_pedido_prestamoBN->getFechaCreacion(), false );
            $o_cr_pedido_prestamoDP->setUsuarioCreacion( $o_cr_pedido_prestamoBN->getUsuarioCreacion(), false );
            $o_cr_pedido_prestamoDP->setFechaModificacion( $o_cr_pedido_prestamoBN->getFechaModificacion(), false );
            $o_cr_pedido_prestamoDP->setUsuarioModificacion( $o_cr_pedido_prestamoBN->getUsuarioModificacion(), false );
            $o_cr_pedido_prestamoDP->setEliminado( $o_cr_pedido_prestamoBN->getEliminado(), false );
            $o_cr_pedido_prestamoDP->setUsuarioEliminado( $o_cr_pedido_prestamoBN->getUsuarioEliminado(), false );
            $o_cr_pedido_prestamoDP->setFechaEliminado( $o_cr_pedido_prestamoBN->getFechaEliminado(), false );
            $o_cr_pedido_prestamoDP->setEstado( $o_cr_pedido_prestamoBN->getEstado(), false );
            $o_cr_pedido_prestamoDP->setObservacion( $o_cr_pedido_prestamoBN->getObservacion(), false );
            $o_cr_pedido_prestamoDP->setObservacionFinal( $o_cr_pedido_prestamoBN->getObservacionFinal(), false );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return $o_cr_pedido_prestamoDP;
    }
}
?>